osl::CompactBoard Class Reference

SimpleStateよりcompactな局面の表現 More...

`#include <compactBoard.h>`

## Public Member Functions

| CompactBoard ()
| CompactBoard (const SimpleState &state)
SimpleState | state () const
const std::vector< OPiece > & | pieces () const
Player | turn () const

## Private Attributes

std::vector< OPiece > | piece_vector
Player | player_to_move

## Friends

std::ostream & | operator<< (std::ostream &os, const CompactBoard &c)
std::istream & | operator>> (std::istream &os, CompactBoard &c)
bool | operator== (const CompactBoard &, const CompactBoard &)
| 局面を比較する.

## Detailed Description

SimpleStateよりcompactな局面の表現

Definition at line 59 of file compactBoard.h.

## Constructor & Destructor Documentation

## CompactBoard() [1/2]

osl::book::CompactBoard::CompactBoard | ( |  | ) |

inline

Definition at line 62 of file compactBoard.h.

## CompactBoard() [2/2]

osl::book::CompactBoard::CompactBoard | ( | const SimpleState & | state | ) |

explicit

Definition at line 44 of file compactBoard.cc.

## Member Function Documentation

## pieces()

const std::vector< OPiece > & osl::book::CompactBoard::pieces | ( |  | ) | const

inline

Definition at line 65 of file compactBoard.h.

## state()

osl::SimpleState osl::book::CompactBoard::state | ( |  | ) | const

Definition at line 57 of file compactBoard.cc.

## turn()

Player osl::book::CompactBoard::turn | ( |  | ) | const

inline

Definition at line 66 of file compactBoard.h.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const CompactBoard & | c )

friend

## operator==

bool operator== | ( | const CompactBoard & | ,
|  | const CompactBoard & | )

friend

局面を比較する.

将棋としての局面（手番や持ち駒を含む）を比較する. NumEffectState等と異なり駒番号は考慮されない.

## operator>>

std::istream & operator>> | ( | std::istream & | os,
|  | CompactBoard & | c )

friend

## Member Data Documentation

## piece_vector

std::vector<OPiece> osl::book::CompactBoard::piece_vector

private

Definition at line 72 of file compactBoard.h.

## player_to_move

Player osl::book::CompactBoard::player_to_move

private

Definition at line 73 of file compactBoard.h.

The documentation for this class was generated from the following files:

- compactBoard.h
- compactBoard.cc